Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class Theme

    java.lang.Object
      net.sourceforge.pebble.domain.Theme

    public class Theme

extends java.lang.Object

Represents the user's editable theme.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `DEFAULT_THEME_NAME` the name of the theme that should be used as a default

Constructor Summary
`Theme(Blog blog, java.lang.String name, java.lang.String pathToLiveThemes)` Creates a new Theme instance with the specified details.

Method Summary
`void` | `backup()` Backs up the theme from the webapp to the blog.dir.
`java.lang.String` | `getName()` Gets the name of this theme.
`java.io.File` | `getPathToLiveTheme()`
`void` | `restore()` Restores the theme from the blog.dir to the webapp.
`void` | `restore(java.lang.String themeName)` Restores the theme from the blog.dir to the webapp.
`void` | `restoreToSpecifiedTheme(java.lang.String themeName)` Restores the theme from the blog.dir to the webapp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_THEME_NAME

    public static final java.lang.String DEFAULT_THEME_NAME

  the name of the theme that should be used as a default

  See Also:
    Constant Field Values

Constructor Detail

### Theme

    public Theme(Blog blog,
                 java.lang.String name,
                 java.lang.String pathToLiveThemes)

  Creates a new Theme instance with the specified details.

  Parameters:
    `blog` - the owning Blog instance
    `name` - the name of the theme
    `pathToLiveThemes` - the path to the live themes

Method Detail

### getPathToLiveTheme

    public java.io.File getPathToLiveTheme()

### restore

    public void restore()

  Restores the theme from the blog.dir to the webapp.

### restore

    public void restore(java.lang.String themeName)

  Restores the theme from the blog.dir to the webapp.

### restoreToSpecifiedTheme

    public void restoreToSpecifiedTheme(java.lang.String themeName)

  Restores the theme from the blog.dir to the webapp.

### backup

    public void backup()

  Backs up the theme from the webapp to the blog.dir.

### getName

    public java.lang.String getName()

  Gets the name of this theme.

  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.